@font-face {
  font-family: 'Poppins_reg';
  src: url('/assets/fonts/Poppins-Regular.ttf') format('truetype');
}

@font-face {
  font-family: 'Poppins_med';
  src: url('/assets/fonts/Poppins-Medium.ttf') format('truetype');
}

@font-face {
  font-family: 'Poppins_bold';
  src: url('/assets/fonts/Poppins-Bold.ttf') format('truetype');
}

:root {
  --border-radius: 0;
  --font: Poppins_med;
  --text-color: #f0f0f0;
  --shadow-color: #cacaca;
  --background-color: #0f0f0f;
  --sec-background-color: #262626;
  --accent-color: #8a98ac;
}

html, body {
  background-color: var(--background-color);
  color: var(--text-color);
  accent-color: var(--accent-color);
  font-family: var(--font);
  
  font-size: 17px;
  height: 100%;
  width: 100%;
  padding: 0;
  margin: 0;
}

nav {
  display: flex;
  padding: 15px;
  gap: 20px;

  .navlink {
    text-decoration: none;
    color: var(--text-color);

    background-image: linear-gradient(to bottom,
        transparent 0%,
        transparent 90%,
        var(--accent-color) 90%,
        var(--accent-color) 100%);

    background-repeat: no-repeat;
    background-size: 0% 100%;
    background-position-x: right;

    transition: background-size 300ms;
  }

  .navlink:hover {
    background-size: 100% 100%;
    background-position-x: left;
  }

  .navlink.home {
    margin-left: auto;
  }
}

main {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}

.header {
  text-align: center;
  font-family: Poppins_bold;
  text-transform: uppercase;
  display: block;
  height: auto;
  animation: neon 3s infinite;
}

@keyframes neon {
  0% {
    text-shadow: -1px -1px 1px var(--accent-color), -1px 1px 1px var(--accent-color), 1px -1px 1px var(--accent-color), 1px 1px 1px var(--accent-color),
    0 0 3px var(--accent-color), 0 0 10px var(--accent-color), 0 0 20px var(--accent-color),
    0 0 30px var(--shadow-color), 0 0 40px var(--shadow-color), 0 0 50px var(--shadow-color), 0 0 70px var(--shadow-color), 0 0 100px var(--shadow-color), 0 0 200px var(--shadow-color);
  }
  50% {
    text-shadow: -1px -1px 1px var(--accent-color), -1px 1px 1px var(--accent-color), 1px -1px 1px var(--accent-color), 1px 1px 1px var(--accent-color),
    0 0 5px var(--accent-color), 0 0 15px var(--accent-color), 0 0 25px var(--accent-color),
    0 0 40px var(--shadow-color), 0 0 50px var(--shadow-color), 0 0 60px var(--shadow-color), 0 0 80px var(--shadow-color), 0 0 110px var(--shadow-color), 0 0 210px var(--shadow-color);
  }
  100% {
    text-shadow: -1px -1px 1px var(--accent-color), -1px 1px 1px var(--accent-color), 1px -1px 1px var(--accent-color), 1px 1px 1px var(--accent-color),
    0 0 3px var(--accent-color), 0 0 10px var(--accent-color), 0 0 20px var(--accent-color),
    0 0 30px var(--shadow-color), 0 0 40px var(--shadow-color), 0 0 50px var(--shadow-color), 0 0 70px var(--shadow-color), 0 0 100px var(--shadow-color), 0 0 200px var(--shadow-color);
  }
}

.wallpapers {
  margin-left: 20px;

  h2 {
    text-transform: capitalize;
  }
}

.category {
  display: flex;
  flex-wrap: wrap;
}

.wrapper {
  all: unset;

  @media (hover: none) {
    &:focus {
      .wallpaper img { filter: blur(5px); }
      .wallpaper a { opacity: 1; }
    }
  }
}

.wallpaper {
  margin: 0;
  padding: 0;
  position: relative;
  display: inline-block;

  img {
    border-radius: 15px;
    height: 180px;
    margin: 10px;
    object-fit: cover;
    transition: filter 300ms ease-in-out;
  }

  a {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: var(--background-color);
    color: var(--text-color);
    border: none;
    font-family: Poppins_med;
    font-size: 17px;
    padding: 5px;
    padding-inline: 10px;
    border-radius: 999px;
    box-shadow: 0 0 5px 2px var(--background-color);
    transition: opacity 300ms ease-in-out;
    text-decoration: none;
    opacity: 0;

    &:hover {
      color: var(--shadow-color);
    }
  }

  @media (hover: hover) {
    &:hover {
      img { filter: blur(5px); }
      a { opacity: 1; }
    }
  }
}
